import matplotlib.pyplot as plt
import pandas
from pymlbenchmark.plotting import plot_bench_xtime

name = "../../onnx/results/bench_plot_datasets_num_reg.perf.csv"
df = pandas.read_csv(name)
fig, ax = plt.subplots(1, 3, figsize=(12, 5))

plot_bench_xtime(df[~df.norm], col_cols='dataset',
                 hue_cols='model', fontsize=12,
                 title="Numerical datasets - norm=False\nBenchmark scikit-learn / onnxruntime",
                 ax=ax)
fig.show()